/*
Theme Name: Easyerklärt Divi Child
Theme URI: https://www.easyerklaert.de
Description: Easyerklärt Divi Child Theme
Author: Fatima Kabiri-Web & Sketch Easyerklärt
Author URI: https://www.easyerklaert.de
Template: Divi
Version: 1.0.0
Text Domain: hello-divi-child
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
/*

/* Hier beginnt dein benutzerdefiniertes CSS */

html {
    scroll-behavior: smooth;
	font-size: 18px; /* Dies stellt sicher, dass 1em = 16px */
}
	
/*#main-content{
margin-top: 7vw;}*/


  
@media only screen and (min-width: 700px) and (max-width: 1366px) {
  /* H1 */
  #page-container .et_pb_module h1, #page-container .et_pb_text h1 {
    font-size: clamp(1.8rem, 1.2rem + 1.5vw, 4rem); /* Reduzierte Minimal- und Maximalwerte */
  }

  /* H2 */
  #page-container .et_pb_module h2, #page-container .et_pb_text h2 {
    font-size: clamp(1.75rem, 1rem + 1.25vw, 3rem); /* Weniger starke Skalierung */
  }

  /* H3 */
  #page-container .et_pb_module h3, #page-container .et_pb_text h3 {
    font-size: clamp(1.5rem, 0.875rem + 1vw, 2.5rem); /* Noch kleinere Werte */
  }

  /* H5 */
  #page-container .et_pb_module h5, #page-container .et_pb_text h5 {
    font-size: clamp(1.25rem, 0.75rem + 0.8vw, 2rem); /* Maximalwert und Skalierung angepasst */
  }

  /* H6 */
 /* #page-container .et_pb_module h6, #page-container .et_pb_text h6 {
    font-size: clamp(1rem, 0.75rem + 0.6vw, 1.5rem); /* Reduzierte Werte für kleinere Headlines */
 /* }*/

  /* Paragraphen */
  p {
    font-size: clamp(0.875rem, 0.75rem + 0.25vw, 1.25rem); /* Deutlich kleinere Schrift für Fließtext */
    line-height: clamp(1.25rem, 1rem + 0.2vw, 1.75rem); /* Kürzere Zeilenhöhe */
  }
#page-container .et_pb_button_module_wrapper .et_pb_button,
#page-container .et_pb_button {
  
    /* Schriftgröße: Skaliert zwischen 14px und 18px */
    font-size: clamp(0.875rem, 0.75rem + 0.25vw, 1.25rem) !important;

}

}	
	



@media only screen and (min-width: 1366px)and (max-width: 5400px) {
   #page-container .et_pb_button_module_wrapper .et_pb_button,
#page-container .et_pb_button {
    /*min-width: clamp(150px, 10vw + 10px, 188px) !important; /* Breite zwischen 150px und 188px */
   /*font-size: clamp(1rem, 1.5rem + 1vw, 2rem) !important;/* Skaliert zwischen 16px und 32px */
     font-size: clamp(16px, 1.2vw, 20px)!important;
	/*font-size: 30px!important;*/
    /*max-width: 100% !important; /* Verhindert, dass der Button breiter als sein Container wird */
    /*box-sizing: border-box !important; /* Stellt sicher, dass Padding in die Gesamtbreite einbezogen wird */


}
	}




